glab(1)

NAME
glab-token-list - List user, group, or project access tokens.

SYNOPSIS
glab token list [flags]

DESCRIPTION
List all tokens for a user, group, or project.

The output contains the token's meta information, not the actual token value. The output format can be "JSON" or "text". The access level property is printed in human-readable form in the text output, but displays the integer value in JSON.

Administrators can list tokens of other users.

OPTIONS
-a, --active[=false]
    List only the active tokens.

-g, --group=""
    List group access tokens. Ignored if a user or repository argument is set.

-F, --output="text"
    Format output as: text, json. text provides a readable table, json outputs the tokens with metadata.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

-U, --user=""
    List personal access tokens. Use @me for the current user.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # List the current project's access tokens
    glab token list
    glab token list --output json
    # List the project access tokens of a specific project
    glab token list --repo user/my-repo
    # List group access tokens
    glab token list --group group/sub-group
    # List my personal access tokens
    glab token list --user @me
    # Administrators only: list the personal access tokens of another user
    glab token list --user johndoe

SEE ALSO
glab-token(1)